--- old/usr/src/uts/common/os/vmem.c	2014-07-28 07:44:52.787443545 -0400
+++ new/usr/src/uts/common/os/vmem.c	2014-07-28 07:44:52.793455777 -0400
@@ -1453,7 +1453,7 @@
 	vmem_t *vmp, *cur, **vmpp;
 	vmem_seg_t *vsp;
 	vmem_freelist_t *vfp;
-	uint32_t id = atomic_add_32_nv(&vmem_id, 1);
+	uint32_t id = atomic_inc_32_nv(&vmem_id);
 
 	if (vmem_vmem_arena != NULL) {
 		vmp = vmem_alloc(vmem_vmem_arena, sizeof (vmem_t),
@@ -1555,7 +1555,7 @@
 
 	if (vmp->vm_cflags & VMC_POPULATOR) {
 		ASSERT(vmem_populators < VMEM_INITIAL);
-		vmem_populator[atomic_add_32_nv(&vmem_populators, 1) - 1] = vmp;
+		vmem_populator[atomic_inc_32_nv(&vmem_populators) - 1] = vmp;
 		mutex_enter(&vmp->vm_lock);
 		(void) vmem_populate(vmp, vmflag | VM_PANIC);
 		mutex_exit(&vmp->vm_lock);
